import {
    WeaTools
} from 'ecCom'

//新建国家
export const getCountryForm = (params) => {
    return WeaTools.callApi('/api/hrm/area/getCountryForm?is_multilang_set=true', 'GET', params);
}
//新建省份
export const getProvinceForm = (params) => {
    return WeaTools.callApi('/api/hrm/area/getProvinceForm?is_multilang_set=true', 'GET', params);
}
//新建城市
export const getCityForm = (params) => {
    return WeaTools.callApi('/api/hrm/area/getCityForm?is_multilang_set=true', 'GET', params);
}
//新建区县
export const getCityTwoForm = (params) => {
    return WeaTools.callApi('/api/hrm/area/getCityTwoForm?is_multilang_set=true', 'GET', params);
}
//国家新建保存
export const addCountry = (params) => {
    return WeaTools.callApi('/api/hrm/area/addCountry', 'POST', params);
}
//国家编辑保存
export const editCountry = (params) => {
    return WeaTools.callApi('/api/hrm/area/editCountry', 'POST', params);
}
//省份新建保存
export const addProvince = (params) => {
    return WeaTools.callApi('/api/hrm/area/addProvince', 'POST', params);
}
//省份编辑保存
export const editProvince = (params) => {
    return WeaTools.callApi('/api/hrm/area/editProvince', 'POST', params);
}
//城市新建保存
export const addCity = (params) => {
    return WeaTools.callApi('/api/hrm/area/addCity', 'POST', params);
}
//城市编辑保存
export const editCity = (params) => {
    return WeaTools.callApi('/api/hrm/area/editCity', 'POST', params);
}
//城市新建保存
export const addCityTwo = (params) => {
    return WeaTools.callApi('/api/hrm/area/addCityTwo', 'POST', params);
}
//城市编辑保存
export const editCityTwo = (params) => {
    return WeaTools.callApi('/api/hrm/area/editCityTwo', 'POST', params);
}

//获取国家表格数据
export const getCountryList = (params) => {
    return WeaTools.callApi('/api/hrm/area/getCountryList', 'GET', params);
}
//获取省份表格数据
export const getProvinceList = (params) => {
    return WeaTools.callApi('/api/hrm/area/getProvinceList', 'GET', params);
}
//获取城市表格数据
export const getCityList = (params) => {
    return WeaTools.callApi('/api/hrm/area/getCityList', 'GET', params);
}
//获取区县表格数据
export const getCityTwoList = (params) => {
    return WeaTools.callApi('/api/hrm/area/getCityTwoList', 'GET', params);
}
//获取高级搜索条件
export const getSearchCondition = (params) => {
    return WeaTools.callApi('/api/hrm/area/getSearchCondition', 'GET', params);
}
//国家省份城市区县封存和解封
export const doblock = (params) => {
    return WeaTools.callApi('/api/hrm/area/doblock', 'POST', params);
}
//国家删除（批量删除）
export const deleteCountry = (params) => {
    return WeaTools.callApi('/api/hrm/area/deleteCountry', 'POST', params);
}
//省份删除（批量删除）
export const deleteProvince = (params) => {
    return WeaTools.callApi('/api/hrm/area/deleteProvince', 'POST', params);
}
//城市删除（批量删除）
export const deleteCity = (params) => {
    return WeaTools.callApi('/api/hrm/area/deleteCity', 'POST', params);
}
//区县删除（批量删除）
export const deleteCityTwo = (params) => {
    return WeaTools.callApi('/api/hrm/area/deleteCityTwo', 'POST', params);
}
//国家、省份、城市和区县信息
export const getAreaDetail = (params) => {
    return WeaTools.callApi('/api/hrm/area/getAreaDetail', 'GET', params);
}
//获取导入表单
export const getAreaImportForm = (params) => {
    return WeaTools.callApi('/api/hrm/area/getAreaImportForm?is_multilang_set=true', 'GET', params);
}
//导入文件提交
export const saveAreaImport = (params) => {
    return WeaTools.callApi('/api/hrm/area/saveAreaImport', 'POST', params);
}
//历史导入信息查询
export const getImportHistory = (params) => {
    return WeaTools.callApi('/api/hrm/area/getImportHistory', 'GET', params);
}
//功能按钮权限
export const getHasRight = (params) => {
    return WeaTools.callApi('/api/hrm/area/getHasRight', 'GET', params);
}
//导入结果
export const getImportResultDetail = (params) => {
    return WeaTools.callApi('/api/hrm/area/getImportRowResultLog', 'GET', params);
}
//导入日志
export const getImportLogDetail = (params) => {
    return WeaTools.callApi('/api/hrm/area/getImportColResultLog', 'GET', params);
}
//导入日志 - 高级搜索
export const getImportLogSearchCondition = (params) => {
    return WeaTools.callApi('/api/hrm/area/getHistorySearchCondition', 'GET', params);
}